#include "animal.h"

Animal::Animal(fstream& F)
{
	F >> r >> c >> effect_coeffitient >> minimal_safety;

	landing_Shape = new int *[r];

		for (int i=0;i<r;i++)
		{
			landing_Shape[i] = new int[c];
		}

		for(int i=0;i<r;i++)
		{
			for(int j=0;j<c;j++)
			{
				F >> landing_Shape[i][j];
			}
		}
		success = false;
		landing_coords[0] = 0;
		landing_coords[1] = 0;
}

Animal::Animal(const Animal& A2)
{
	success = false;
	landing_coords[0] = 0;
	landing_coords[1] = 0;
	r = A2.r;
	c = A2.c;
	effect_coeffitient = A2.effect_coeffitient;
	minimal_safety = A2.minimal_safety;

	landing_Shape = new int *[r];

		for (int i=0;i<r;i++)
		{
			landing_Shape[i] = new int[c];
		}

		for(int i=0;i<r;i++)
		{
			for(int j=0;j<c;j++)
			{
				landing_Shape[i][j] = A2.landing_Shape[i][j];
			}
		}
}

Animal::~Animal()
	{
		for( int i = 0 ; i < r ; i++ )
		delete [] landing_Shape[i] ;
		delete [] landing_Shape;
	}

Animal& Animal::operator=(const Animal & A2)
{
	r = A2.r;
	c = A2.c;
	effect_coeffitient = A2.effect_coeffitient;
	minimal_safety = A2.minimal_safety;

	landing_Shape = new int *[r];

		for (int i=0;i<r;i++)
		{
			landing_Shape[i] = new int[c];
		}

		for(int i=0;i<r;i++)
		{
			for(int j=0;j<c;j++)
			{
				landing_Shape[i][j] = A2.landing_Shape[i][j];
			}
		}

		return (*this);
}
