#include <iostream>
#include <fstream>
using namespace std;

#ifndef _ANIMAL_
#define _ANIMAL_

class Animal
{
public:
	Animal()
	{
		success = false;
		landing_coords[0] = 0;
		landing_coords[1] = 0;
		r=1;
		c=1;
		effect_coeffitient = 2;
		minimal_safety = 1;

		landing_Shape = new int *[r];

		for (int i=0;i<r;i++)
		{
			landing_Shape[i] = new int[c];
		}

		for(int i=0;i<r;i++)
		{
			for(int j=0;j<c;j++)
			{
				landing_Shape[i][j] = 1;
			}
		}
	}
	Animal(fstream&);
	Animal(const Animal&);
	~Animal();
	Animal& operator = (const Animal&);
	int get_r()
	{
		return r;
	}
	int get_c()
	{
		return c;
	}
	int get_effect()
	{
		return effect_coeffitient;
	}
	int get_safety()
	{
		return minimal_safety;
	}
	int get_table_member(int index1,int index2)
	{
		return landing_Shape[index1][index2];
	}
	void set_coords(int x,int y)
	{
		landing_coords[0] = x;
		landing_coords[1] = y;
	}
	int get_x()
	{
		return landing_coords[0];
	}
	int get_y()
	{
		return landing_coords[1];
	}
	bool get_success()
	{
		return success;
	}
	void succeed()
	{
		success = true;
	}
private:
	int r,c;
	int ** landing_Shape;
	int effect_coeffitient;
	int minimal_safety;
	int landing_coords[2];
	bool success;
};

#endif