#include <fstream>
#include <iostream>
using namespace std;

#include "animal.h"

#ifndef _FIELD_
#define _FIELD_

class Field
{
public:
	Field(fstream&,int,int);
	Field(const Field &);
	~Field();
	int get_n()
	{
		return N;
	}
	int get_m()
	{
		return M;
	}
	double get_table_member(int index1,int index2)
	{
		return table[index1][index2];
	}
	void set_table_member(int index1,int index2,double value)
	{
		table[index1][index2] = value;
	}
	bool landing(Animal&);
	void landing_effect(Animal&);
private:
	int N,M;
	double ** table;
};

#endif